local self_ID = "OV-10B by Eagle Dynamics"
declare_plugin(self_ID,
{
installed 	 = true, -- if false that will be place holder , or advertising
dirName	  	 = current_mod_path,

fileMenuName = _("OV-10B"),
update_id        = "OV-10B",
version		 = "1.2.7",
state		 = "installed",
info		 = _("The North American Rockwell OV-10 Bronco is a turboprop light attack and observation aircraft. It was developed in the 1960s as a special aircraft for counter-insurgency (COIN) combat, and one of its primary missions was as a forward air control (FAC) aircraft. It can carry up to three tons of external munitions, and loiter for three or more hours."),
binaries 	 =
{
'P51B',
'Cockpit_P51Common', 
'Cockpit_P51D'
},

InputProfiles =
{
    ["OV-10B"]      = current_mod_path .. '/Input/OV-10B',
    ["OV-10B_easy"] = current_mod_path .. '/Input/OV-10B_easy',  
},



Skins	=
	{
		{
			name	= _("OV-10B"),
			dir		= "Skins/1"
		},
	},

Missions =
	{
		{
			name		= _("OV-10B"),
			dir			= "Missions",	
		},
	},	

Options = 
	{
		{
			name		= _("OV-10B"),
			nameId		= "OV-10B",
			dir			= "Options",
		},
	},
LogBook =
	{
		{
			name		= _("OV-10B"),
			type		= "OV-10B",
		},
	},		
preload_resources = 
	{
		textures   = {},
		models     = {"tracer_bullet_a-10", "shell_50cal", "tracer_bullet_red", "sled"},
		fonts      = {},
		explosions = {},
	},
})
----------------------------------------------------------------------------------------
mount_vfs_texture_path  (current_mod_path ..  "/Cockpit/Resources/Model/Textures/P-51D-CPT-TEXTURES")
mount_vfs_model_path    (current_mod_path ..  "/Cockpit/Resources/Model/Shape")
make_flyable('OV-10B',current_mod_path..'/Cockpit/Scripts/',{self_ID,'P51B'},current_mod_path..'/comm.lua')

dofile(current_mod_path..'/OV-10B.lua')

plugin_done()-- finish declaration , clear temporal data
